Исправляем ошибку: /usr/bin/ld: cannot find -lcurl

Недавно столкнулся с такой ошибкой на новеньком сервере, работающем на Ubuntu 18, при попытке собрать из исходного кода одно нужное приложение. Поэтому решил написать небольшую статью, чтобы в следующий раз быстро найти решение.


Описание

Сама ошибка выглядит следующим образом:

/usr/bin/ld: cannot find -lcurl

Исправляем ошибку

Для того, чтобы исправить данную ошибку, необходимо установить пакет libcurl-dev.
Сделать это можно следующей командой:

sudo apt update
sudo apt install libcurl4-openssl-dev

После его установки, необходимо попробовать закончить компиляцию еще раз, ошибка должна исчезнуть.



Добавить комментарий

Ваш e-mail не будет опубликован.

Напоминаем Вам, что Ваше сообщение будет опубликовано только после проверки администратором сайта. Обычно это занимает 1-2 рабочих дня.